import QtQuick
import QtQuick.Controls

Control {
    id: control

    property alias text: textArea.text

    contentItem: TextArea {
        id: textArea

        padding: 0
        readOnly: true
        selectByMouse: true
        wrapMode: Text.WordWrap

        HoverHandler {
            cursorShape: Qt.IBeamCursor
        }
    }
}
